Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

 

Department:  Affected Products:  

Requester's Priority: Normal Platform:  

Support Level: 2nd Level Topic: DeviceTB::Common

Resolution: No Customer Feedback FAQ Links:  

Description

Supportanfrage

in den Vector Device Receivern gibt es das Property „add_hardwaretime_info“. Leider finde ich keine Doku dazu. Wie kann ich auf

diesen Zeitstempel der Vectordevices zugreifen?

Lösung

das Feature wird unterstützt und beinhaltet die Hardwarezeit, die aus der Vector-Box gelesen wird.

Mit

tTimeStamp tmHardwareTime = -1;

object_ptr<const ISampleInfo> pSampleInfo;

if (IS_OK(pReadSample->GetSampleInfo(pSampleInfo)))

{

   const cVariant oDefHWTime((tTimeStamp)0);

   tmHardwareTime = get_hash_value(*pSampleInfo, ISampleInfo::SAI_DeviceOriginalTime, oDefHWTime).

GetInt64();

}

 kann diese ausgelesen werden.

Derzeitig gibt es das Feature aber nur für CAN und CANFD.

History

#1 - 2020-12-09 11:41 - hidden

- Author changed from hidden to hidden

#2 - 2020-12-09 11:43 - hidden

- Status changed from New to In Progress

- Topic set to DeviceTB::Common

#3 - 2020-12-15 13:54 - hidden

Hallo Johannes,

laut internen Kommentaren:

"If true, the device hardware time of a message will be put to the MediaSampleInfo!"

@fn ist das Feature noch unterstützt?

#5 - 2020-12-15 15:47 - hidden

- Status changed from In Progress to Customer Feedback Required
Hallo Johannes,

ja, das Feature wird unterstützt und beinhaltet die Hardwarezeit, die aus der Vector-Box gelesen wird.

Mit

tTimeStamp tmHardwareTime = -1;

object_ptr<const ISampleInfo> pSampleInfo;

if (IS_OK(pReadSample->GetSampleInfo(pSampleInfo)))

{

   const cVariant oDefHWTime((tTimeStamp)0);

   tmHardwareTime = get_hash_value(*pSampleInfo, ISampleInfo::SAI_DeviceOriginalTime, oDefHWTime).GetInt64();

}

 kann diese ausgelesen werden.

Derzeitig gibt es das Feature aber nur für CAN und CANFD.

Gruß

Frank

#7 - 2020-12-21 14:29 - hidden

- Project changed from Public Support to 11

#8 - 2020-12-21 15:46 - hidden

- Project changed from 11 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to No Customer Feedback

#9 - 2021-01-19 09:41 - hidden

Hallo Frank,

vielen Dank für die Info.

VG,

Johannes

#11 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
